Extending Qt Creator Manual | IWelcomePage

Extending Qt Creator Manual 4.5.2

# IWelcomePage Class

(Core::IWelcomePage)

- List of all members, including inherited members

## Properties

- priority : const int
- title : const QString

## Public Functions

| IWelcomePage()
virtual | ~IWelcomePage()
virtual QWidget * | createWidget() const = 0
virtual Core::Id | id() const = 0
virtual int | priority() const
virtual QString | title() const = 0

## Property Documentation

### priority : const int

Access functions:

virtual int | priority() const

### title : const QString

Access functions:

virtual QString | title() const = 0

## Member Function Documentation

### IWelcomePage::IWelcomePage()

Default constructs an instance of IWelcomePage.

### `[virtual]` IWelcomePage::~IWelcomePage()

Destroys the instance of IWelcomePage. The destructor is virtual.

### `[pure virtual]` QWidget *IWelcomePage::createWidget() const

### `[pure virtual]` Core::Id IWelcomePage::id() const